## kaisen-archive-keyring 2024+kaisen2

=== Makefile ===
GPGLIST := $(patsubst active-keys/kaisen-%,trusted.gpg/kaisen-archive-%.gpg,$(wildcard active-keys/kaisen-*))
BUILDAREA := trusted.gpg/build-area
GPG_OPTIONS := --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg

build: keyrings/kaisen-archive-keyring.gpg $(GPGLIST)

keyrings/kaisen-archive-keyring.gpg: active-keys/index
	mkdir -p keyrings
	jetring-build -I $@ active-keys
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

$(GPGLIST) :: trusted.gpg/kaisen-archive-%.gpg : active-keys/kaisen-% active-keys/index
	mkdir -p $(BUILDAREA) trusted.gpg
	grep -F $(shell basename $<) -- active-keys/index > $(BUILDAREA)/index
	cp $< $(BUILDAREA)
	jetring-build -I $@ $(BUILDAREA)
	rm -rf $(BUILDAREA)
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

clean:
	rm -rf keyrings trusted.gpg

install: build
	install -d $(DESTDIR)/usr/share/keyrings/
	cp trusted.gpg/*.gpg $(DESTDIR)/usr/share/keyrings/
	cp keyrings/*.gpg $(DESTDIR)/usr/share/keyrings/

.PHONY: clean build install

=== debian/changelog ===
kaisen-archive-keyring (2024+kaisen2) kaisen-packages; urgency=high

  * Add a fix if the TERM variable is not defined (in the postinst file).

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 25 Apr 2024 06:53:19 +0200

kaisen-archive-keyring (2024+kaisen1) kaisen-packages; urgency=high

  * Add new GPG key
  * Delete expired 2022 GPG key
  * Define the principal key at may 2024
  * Add the GPG key will be expired in 2026
  * Add the GPG key will be expired in 2028
  * Remove the debian/compat file
  * Remove the Uploaders field
  * Update the email address of the maintainer field
  * Bump compat 9 to 13
  * Update the Makefile
  * Add a color for the echo in the postinst script
  * Typo

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 23 Apr 2024 02:35:37 +0200

kaisen-archive-keyring (2020+kaisen1) kaisen-devel; urgency=medium

  * Adding GPG key for Kaisen Linux repositories

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Tue, 28 Apr 2020 12:29:13 +0200

=== debian/control ===
Source: kaisen-archive-keyring
Priority: required
Section: misc
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13), jetring, gnupg
Standards-Version: 4.6.2

Package: kaisen-archive-keyring
Architecture: all
Priority: required
Depends: gpgv, ${misc:Depends}
Recommends: gnupg
Description: Kaisen GPG repositories pubkeys
 Kaisen Linux distribution public keys

Package: kaisen-archive-keyring-udeb
Package-Type: udeb
Priority: required
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Recommends: gpgv-udeb
Description: Kaisen GPG repositories pubkeys (Debian Installer package)
 Kaisen Linux distribution public keys
